## openvlbi 0.0~git20211207.ae3a06a

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(OpenVLBI C CXX)
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")

include(GNUInstallDirs)
include(ExternalProject)

find_package(CFITSIO REQUIRED)
find_package(ZLIB REQUIRED)
find_package(PNG REQUIRED)
find_package(JPEG REQUIRED)
find_package(FFTW3 REQUIRED)
find_package(Threads REQUIRED)
option(WITH_INDI_CLIENT "Add INDI client for OpenVLBI" ON)
option(WITH_DUMMY_CLIENT "Add dummy client for OpenVLBI" ON)
option(WITH_JSON_CLIENT "Add JSON client for OpenVLBI" ON)

set (VLBI_VERSION_MAJOR 1)
set (VLBI_VERSION_MINOR 18)
set (VLBI_VERSION_STRING "${VLBI_VERSION_MAJOR}.${VLBI_VERSION_MINOR}.0")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")

add_definitions(-Wall -g -Wno-unused-parameter)

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/README.md" README )
string(REPLACE "[![Build Status](https://travis-ci.org/iliaplatone/OpenVLBI.svg?branch=master)](https://travis-ci.org/iliaplatone/OpenVLBI)" "" README "${README}")
string(REGEX REPLACE "\n\# \([a-z:A-Z:0-9]*\)" "\n\n\\\\page page_\\1 \\1" README "${README}" )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/dsp/dsp.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/dsp.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/vlbi/vlbi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/vlbi.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile )

include_directories( ${CFITSIO_INCLUDE_DIR})
include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/vlbi)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/dsp)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})

include(CMakeCommon)

############# VLBI ###############
set(vlbi_CXX_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/collection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/nodecollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/baselinecollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/node.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/baseline.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/stream.cpp
    )

set(vlbi_C_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/file.c
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/time.c
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/base64.c
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/matrix.c
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/astro.c
    )

SET(dsp_C_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/convert.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/fft.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/file.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/filters.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/stats.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/buffer.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/convolution.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/signals.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/stream.c
    )

execute_process (COMMAND doxygen ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
add_library(openvlbi SHARED ${dsp_C_SRC} ${vlbi_C_SRCS} ${vlbi_CXX_SRCS})
set_target_properties(openvlbi PROPERTIES VERSION ${VLBI_VERSION_STRING} SOVERSION ${VLBI_VERSION_MAJOR})
target_link_libraries(openvlbi ${FFTW3_LIBRARIES} ${M_LIB} ${CFITSIO_LIBRARIES} ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/vlbi.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dsp.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(TARGETS openvlbi LIBRARY DESTINATION ${LIB_INSTALL_DIR})

if(WITH_JSON_CLIENT)
find_package(JSONPARSER REQUIRED)
if(JSONPARSER_LIBRARIES)
include_directories( ${JSONPARSER_INCLUDE_DIR})
add_executable(vlbi_client_json ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_client_json.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_client.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/instancecollection.cpp)
target_link_libraries(vlbi_client_json openvlbi ${JSONPARSER_LIBRARIES} ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})
install(TARGETS vlbi_client_json RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif(JSONPARSER_LIBRARIES)
endif(WITH_JSON_CLIENT)

if(WITH_INDI_CLIENT)
find_package(INDI REQUIRED)
find_package(INDICLIENT REQUIRED)
if(INDI_LIBRARIES AND INDICLIENT_LIBRARIES)
include_directories( ${INDI_INCLUDE_DIR})
add_executable(vlbi_client_indi ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_client_indi.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_client.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/instancecollection.cpp)
target_link_libraries(vlbi_client_indi openvlbi ${INDICLIENT_LIBRARIES} ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})
install(TARGETS vlbi_client_indi RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif(INDI_LIBRARIES AND INDICLIENT_LIBRARIES)
endif(WITH_INDI_CLIENT)

if(WITH_DUMMY_CLIENT)
add_executable(vlbi_client_dummy ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_client.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_client_dummy.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/instancecollection.cpp)
target_link_libraries(vlbi_client_dummy openvlbi ${M_LIB} ${ZLIB_LIBRARY})
install(TARGETS vlbi_client_dummy RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif(WITH_DUMMY_CLIENT)

=== debian/changelog ===
openvlbi (0.0~git20211207.ae3a06a-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: all patches applied upstream
  * debian/control: update dependencies

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Dec 2021 23:17:46 +0100

openvlbi (0.0~git20211120.952ea88-3) unstable; urgency=medium

  * do not use sys/io.h

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 04 Dec 2021 14:35:11 +0100

openvlbi (0.0~git20211120.952ea88-2) unstable; urgency=medium

  * source upload
  * debian/control: move package to debian-astro team

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 04 Dec 2021 13:35:11 +0100

openvlbi (0.0~git20211120.952ea88-1) unstable; urgency=medium

  * initial upload

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 30 Nov 2021 19:35:11 +0200

=== debian/control ===
Source: openvlbi
Section: misc
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake (>= 2.4.7)
	, libindi-dev (>= 1.8.8)
	, zlib1g-dev
	, libfftw3-dev
	, libnova-dev
	, libcfitsio-dev
	, libpng-dev
	, libjpeg-dev
Standards-Version: 4.6.0
Homepage: http://iliaplatone.github.io/OpenVLBI/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-astro-team/openvlbi
Vcs-Git: https://salsa.debian.org/debian-astro-team/openvlbi.git

Package: libopenvlbi1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: OpenVLBI Correlator library
 OpenVLBI is an open source library for astronomical interferometers.
 with OpenVLBI astronomers can join together more telescopes to observe
 celestial objects at great resolution.
 OpenVLBI can be used with radio antennas or optical sensors.
 A test and multi-contextual client/server applications are included into
 openvlbi-bin, and libopenvlbi contains the correlator library.
 An INDI client is included into openvlbi-bin which connects to one or more
 INDI servers that observe in realtime.
 .
 This package contains the library.

Package: libopenvlbi1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: OpenVLBI Correlator library - development files
 OpenVLBI is an open source library for astronomical interferometers.
 with OpenVLBI astronomers can join together more telescopes to observe
 celestial objects at great resolution.
 OpenVLBI can be used with radio antennas or optical sensors.
 A test and multi-contextual client/server applications are included into
 openvlbi-bin, and libopenvlbi contains the correlator library.
 An INDI client is included into openvlbi-bin which connects to one or more
 INDI servers that observe in realtime.
 .
 This package contains the development files.

Package: openvlbi-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libopenvlbi1 (= ${binary:Version})
Description: OpenVLBI Correlator library - client applications
 OpenVLBI is an open source library for astronomical interferometers.
 with OpenVLBI astronomers can join together more telescopes to observe
 celestial objects at great resolution.
 OpenVLBI can be used with radio antennas or optical sensors.
 A test and multi-contextual client/server applications are included into
 openvlbi-bin, and libopenvlbi contains the correlator library.
 An INDI client is included into openvlbi-bin which connects to one or more
 INDI servers that observe in realtime.
 .
 This package contains the client application.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/iliaplatone/OpenVLBI \
  HEAD debian uupdate

## openvlbi 1.23.0

=== debian/changelog ===
openvlbi (1.23.0-2) unstable; urgency=medium

  * source upload

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 May 2022 19:21:45 +0200

openvlbi (1.23.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

  [ Thorsten Alteholz ]
  * New upstream release.
  * rework package to better match upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 12 May 2022 23:21:45 +0200

openvlbi (1.22.8-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 07 Mar 2022 22:44:59 +0100

openvlbi (1.22.6-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Mar 2022 23:20:56 +0100

openvlbi (1.22.5-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Feb 2022 00:45:53 +0100

openvlbi (1.22.4-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 04 Feb 2022 00:24:47 +0100

openvlbi (1.22.3-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 17 Dec 2021 08:13:50 +0000

openvlbi (1.22-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: use tags instead of git HEAD now

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 Dec 2021 16:22:32 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
-	, cmake (>= 2.4.7)
+	, cmake
+ 	, cmake-data
 	, libindi-dev (>= 1.8.8)
 	, zlib1g-dev
 	, libfftw3-dev
@@ -12,8 +13,9 @@
 	, libcfitsio-dev
 	, libpng-dev
 	, libjpeg-dev
+ 	, doxygen
 Standards-Version: 4.6.0
-Homepage: http://iliaplatone.github.io/OpenVLBI/
+Homepage: https://iliaplatone.github.io/OpenVLBI/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/openvlbi
 Vcs-Git: https://salsa.debian.org/debian-astro-team/openvlbi.git
@@ -36,7 +38,7 @@
  .
  This package contains the library.
 
-Package: libopenvlbi1-dev
+Package: libopenvlbi-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -54,6 +56,19 @@
  .
  This package contains the development files.
 
+Package: libopenvlbi-doc
+Section: doc
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: OpenVLBI Correlator - documentation
+ OpenVLBI is an open source correlator for astronomical interferometers.
+ with OpenVLBI astronomers can join together more telescopes to observe
+ celestial objects at great resolution.
+ OpenVLBI can be used with radio antennas or optical sensors.
+ .
+ This package contains documentation.
+
 Package: openvlbi-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -69,3 +84,62 @@
  INDI servers that observe in realtime.
  .
  This package contains the client application.
+
+Package: libopendsp1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Pre-Depends: ${misc:Pre-Depends}
+Description: OpenDSP signal processing library
+ OpenDSP is an open source signal processing library.
+ It contains methods and routines for signal processing
+ in imaging and radio astronomy.
+ .
+ This package contains the library.
+
+Package: libopendsp-dev
+Section: libdevel
+Architecture: any
+Depends: libopendsp1 (= ${binary:Version})
+	, ${shlibs:Depends}, ${misc:Depends},
+Pre-Depends: ${misc:Pre-Depends}
+Description: OpenDSP signal processing library - development files
+ OpenDSP is an open source signal processing library.
+ It contains methods and routines for signal processing
+ in imaging and radio astronomy.
+ .
+ This package contains the development files.
+
+Package: openvlbi-data
+Section: libs
+Architecture: all
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Pre-Depends: ${misc:Pre-Depends}
+Description: OpenVLBI correlator - data
+ OpenVLBI is an open source correlator for astronomical interferometers.
+ with OpenVLBI astronomers can join together more telescopes to observe
+ celestial objects at great resolution.
+ OpenVLBI can be used with radio antennas or optical sensors.
+ .
+ This package contains data files.
+
+Package: openvlbi
+Architecture: all
+Depends: openvlbi-bin (>= ${source:Version})
+	, openvlbi-data (>= ${source:Version})
+	, libopendsp1 (>= ${source:Version})
+	, libopendsp-dev (>= ${source:Version})
+	, libopenvlbi1 (>= ${source:Version})
+	, libopenvlbi-dev (>= ${source:Version})
+	, ${shlibs:Depends}, ${misc:Depends}
+Description: correlator for OpenVLBI
+ OpenVLBI is an open source correlator for astronomical interferometers.
+ with OpenVLBI astronomers can join together more telescopes to observe
+ celestial objects at great resolution.
+ OpenVLBI can be used with radio antennas or optical sensors.
+ This package includes test and multi-contextual client/server applications,
+ the development and runtime libraries.
+ .
+ This is a metapackage to install all openvlbi packages.

## openvlbi 1.23.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8...3.13)

PROJECT(OpenVLBI C CXX)
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")

include(GNUInstallDirs)
include(ExternalProject)

find_package(CFITSIO REQUIRED)
find_package(PNG REQUIRED)
find_package(JPEG REQUIRED)
find_package(FFTW3 REQUIRED)
find_package(Threads REQUIRED)
option(WITH_VLBI_SERVER "Add OpenVLBI servers" ON)
option(WITH_INDI_SERVER "Add INDI server for OpenVLBI" ON)
option(WITH_DUMMY_SERVER "Add dummy server for OpenVLBI" ON)
option(WITH_JSON_SERVER "Add JSON server for OpenVLBI" ON)

set (VLBI_VERSION_MAJOR 1)
set (VLBI_VERSION_MINOR 23)
set (VLBI_VERSION_RELEASE 2)
set (VLBI_VERSION_STRING "${VLBI_VERSION_MAJOR}.${VLBI_VERSION_MINOR}.${VLBI_VERSION_RELEASE}")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set(VLBI_CATALOG_PATH "${DATA_INSTALL_DIR}/OpenVLBI/cat/index.txt")

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/README.md" README )
string(REPLACE "[![CircleCi](https://circleci.com/gh/iliaplatone/OpenVLBI/tree/master.svg?style=shield)](https://circleci.com/gh/iliaplatone/OpenVLBI/?branch=master)" "" README "${README}")
string(REPLACE "[![Linux](https://github.com/iliaplatone/OpenVLBI/actions/workflows/default.yml/badge.svg)](https://github.com/iliaplatone/OpenVLBI/actions/workflows/default.yml)" "" README "${README}")
string(REGEX REPLACE "\n\# \([a-z:A-Z:0-9]*\)" "\n\n\\\\page page_\\1 \\1" README "${README}" )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/dsp/dsp.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/dsp.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/vlbi/vlbi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/vlbi.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile )

include_directories( ${CFITSIO_INCLUDE_DIR})
include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/vlbi)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/dsp)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})

include(CMakeCommon)

############# VLBI ###############
set(vlbi_CXX_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/collection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/nodecollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/baselinecollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/modelcollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/node.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/baseline.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/stream.cpp
    )

set(vlbi_C_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/file.c
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/time.c
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/base64.c
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/matrix.c
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/astro.c
    )

SET(dsp_C_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/align.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/convert.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/fft.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/file.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/filters.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/stats.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/buffer.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/convolution.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/signals.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/stream.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/fits.c
    )

execute_process (COMMAND doxygen ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
add_library(opendsp SHARED ${dsp_C_SRC})
set_target_properties(opendsp PROPERTIES VERSION ${VLBI_VERSION_STRING} SOVERSION ${VLBI_VERSION_MAJOR})
target_link_libraries(opendsp ${FFTW3_LIBRARIES} ${M_LIB} ${CFITSIO_LIBRARIES} ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
add_library(openvlbi SHARED ${vlbi_C_SRCS} ${vlbi_CXX_SRCS})
set_target_properties(openvlbi PROPERTIES VERSION ${VLBI_VERSION_STRING} SOVERSION ${VLBI_VERSION_MAJOR})
target_link_libraries(openvlbi opendsp ${M_LIB} ${CFITSIO_LIBRARIES} ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/vlbi.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dsp.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dsp/fits_extensions.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dsp/fits.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dsp/sdfits.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dsp/fitsidi.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/cat DESTINATION ${DATA_INSTALL_DIR}/OpenVLBI)
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html DESTINATION ${DATA_INSTALL_DIR}/doc/libopenvlbi-dev)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/FindVLBI.cmake DESTINATION ${DATA_INSTALL_DIR}/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/FindDSP.cmake DESTINATION ${DATA_INSTALL_DIR}/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules)
install(TARGETS openvlbi LIBRARY DESTINATION ${LIB_INSTALL_DIR})
install(TARGETS opendsp LIBRARY DESTINATION ${LIB_INSTALL_DIR})

if(NOT WIN32)
if(WITH_VLBI_SERVER)
add_library(openvlbi_server STATIC ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server.cpp)
install(TARGETS openvlbi_server ARCHIVE DESTINATION ${LIB_INSTALL_DIR})

if(WITH_JSON_SERVER)
add_executable(vlbi_server_json ${CMAKE_CURRENT_SOURCE_DIR}/mjs.h ${CMAKE_CURRENT_SOURCE_DIR}/mjs.c ${CMAKE_CURRENT_SOURCE_DIR}/json.h ${CMAKE_CURRENT_SOURCE_DIR}/json.c ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_json.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/instancecollection.cpp)
target_link_libraries(vlbi_server_json openvlbi openvlbi_server ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY} ${CMAKE_DL_LIBS})
install(TARGETS vlbi_server_json RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif(WITH_JSON_SERVER)

if(WITH_INDI_SERVER)
find_package(INDI 1.8.8)
if(INDI_LIBRARIES AND INDICLIENT_LIBRARIES)
find_package(Nova REQUIRED)
include_directories( ${INDI_INCLUDE_DIR})
add_executable(vlbi_server_indi ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_indi.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/instancecollection.cpp)
target_link_libraries(vlbi_server_indi openvlbi openvlbi_server indiclient ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})
install(TARGETS vlbi_server_indi RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif(INDI_LIBRARIES AND INDICLIENT_LIBRARIES)
endif(WITH_INDI_SERVER)

if(WITH_DUMMY_SERVER)
add_executable(vlbi_server_dummy ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_dummy.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/instancecollection.cpp)
target_link_libraries(vlbi_server_dummy openvlbi openvlbi_server ${M_LIB} ${ZLIB_LIBRARY})
install(TARGETS vlbi_server_dummy RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif(WITH_DUMMY_SERVER)
endif(WITH_VLBI_SERVER)
endif(NOT WIN32)

=== debian/changelog ===
openvlbi (1.23.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1015569)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 13 Aug 2022 01:05:44 +0200

openvlbi (1.23.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: add Break:/Replace: according to upstream
                    Closes: #1011441
                    Closes: #1011442
  * debian/control: bump standard to 4.6.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 May 2022 00:29:48 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	, libpng-dev
 	, libjpeg-dev
  	, doxygen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://iliaplatone.github.io/OpenVLBI/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/openvlbi
@@ -44,6 +44,8 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libopenvlbi1-dev (<< 1.23)
+Breaks: libopenvlbi1-dev (<< 1.23)
 Description: OpenVLBI Correlator library - development files
  OpenVLBI is an open source library for astronomical interferometers.
  with OpenVLBI astronomers can join together more telescopes to observe
@@ -91,6 +93,8 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libopenvlbi1 (<< 1.23)
+Breaks: libopenvlbi1 (<< 1.23)
 Description: OpenDSP signal processing library
  OpenDSP is an open source signal processing library.
  It contains methods and routines for signal processing
@@ -104,6 +108,8 @@
 Depends: libopendsp1 (= ${binary:Version})
 	, ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libopenvlbi1-dev (<< 1.23)
+Breaks: libopenvlbi1-dev (<< 1.23)
 Description: OpenDSP signal processing library - development files
  OpenDSP is an open source signal processing library.
  It contains methods and routines for signal processing
@@ -117,6 +123,8 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libopenvlbi1 (<< 1.23)
+Breaks: libopenvlbi1 (<< 1.23)
 Description: OpenVLBI correlator - data
  OpenVLBI is an open source correlator for astronomical interferometers.
  with OpenVLBI astronomers can join together more telescopes to observe

## openvlbi 1.23.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 set (VLBI_VERSION_MAJOR 1)
 set (VLBI_VERSION_MINOR 23)
-set (VLBI_VERSION_RELEASE 2)
+set (VLBI_VERSION_RELEASE 5)
 set (VLBI_VERSION_STRING "${VLBI_VERSION_MAJOR}.${VLBI_VERSION_MINOR}.${VLBI_VERSION_RELEASE}")
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}")

=== debian/changelog ===
openvlbi (1.23.5-2) unstable; urgency=medium

  * debian/control: add missing dependencies
                    (Closes: #1035445)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 May 2023 18:20:46 +0200

openvlbi (1.23.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: adapt watch file to avoid v2.23.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 02 Dec 2022 19:28:46 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}
+	, libopenvlbi1 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Replaces: libopenvlbi1-dev (<< 1.23)
 Breaks: libopenvlbi1-dev (<< 1.23)

## openvlbi 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8...3.13)
+cmake_minimum_required(VERSION 2.8)
 
 PROJECT(OpenVLBI C CXX)
 LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
@@ -11,14 +11,17 @@
 find_package(JPEG REQUIRED)
 find_package(FFTW3 REQUIRED)
 find_package(Threads REQUIRED)
+option(CMAKE_BUILD_RPATH_USE_ORIGIN "rpath issue fix" ON)
 option(WITH_VLBI_SERVER "Add OpenVLBI servers" ON)
 option(WITH_INDI_SERVER "Add INDI server for OpenVLBI" ON)
 option(WITH_DUMMY_SERVER "Add dummy server for OpenVLBI" ON)
 option(WITH_JSON_SERVER "Add JSON server for OpenVLBI" ON)
 
-set (VLBI_VERSION_MAJOR 1)
-set (VLBI_VERSION_MINOR 23)
-set (VLBI_VERSION_RELEASE 5)
+set (CMAKE_CXX_STANDARD 11)
+set (CMAKE_C_STANDARD 11)
+set (VLBI_VERSION_MAJOR 3)
+set (VLBI_VERSION_MINOR 0)
+set (VLBI_VERSION_RELEASE 2)
 set (VLBI_VERSION_STRING "${VLBI_VERSION_MAJOR}.${VLBI_VERSION_MINOR}.${VLBI_VERSION_RELEASE}")
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}")
@@ -68,6 +71,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/dsp/stats.c
     ${CMAKE_CURRENT_SOURCE_DIR}/dsp/buffer.c
     ${CMAKE_CURRENT_SOURCE_DIR}/dsp/convolution.c
+    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/feature.c
     ${CMAKE_CURRENT_SOURCE_DIR}/dsp/signals.c
     ${CMAKE_CURRENT_SOURCE_DIR}/dsp/stream.c
     ${CMAKE_CURRENT_SOURCE_DIR}/dsp/fits.c
@@ -95,14 +99,13 @@
 install(TARGETS openvlbi LIBRARY DESTINATION ${LIB_INSTALL_DIR})
 install(TARGETS opendsp LIBRARY DESTINATION ${LIB_INSTALL_DIR})
 
-if(NOT WIN32)
 if(WITH_VLBI_SERVER)
-add_library(openvlbi_server STATIC ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server.cpp)
+add_library(openvlbi_server STATIC ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/instancecollection.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/collection.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/base64.c)
 install(TARGETS openvlbi_server ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
 
 if(WITH_JSON_SERVER)
-add_executable(vlbi_server_json ${CMAKE_CURRENT_SOURCE_DIR}/mjs.h ${CMAKE_CURRENT_SOURCE_DIR}/mjs.c ${CMAKE_CURRENT_SOURCE_DIR}/json.h ${CMAKE_CURRENT_SOURCE_DIR}/json.c ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_json.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/instancecollection.cpp)
-target_link_libraries(vlbi_server_json openvlbi openvlbi_server ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY} ${CMAKE_DL_LIBS})
+add_executable(vlbi_server_json ${CMAKE_CURRENT_SOURCE_DIR}/mjs.h ${CMAKE_CURRENT_SOURCE_DIR}/mjs.c ${CMAKE_CURRENT_SOURCE_DIR}/json.h ${CMAKE_CURRENT_SOURCE_DIR}/json.c ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_json.cpp)
+target_link_libraries(vlbi_server_json openvlbi_server openvlbi ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY} ${CMAKE_DL_LIBS})
 install(TARGETS vlbi_server_json RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
 endif(WITH_JSON_SERVER)
 
@@ -111,16 +114,15 @@
 if(INDI_LIBRARIES AND INDICLIENT_LIBRARIES)
 find_package(Nova REQUIRED)
 include_directories( ${INDI_INCLUDE_DIR})
-add_executable(vlbi_server_indi ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_indi.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/instancecollection.cpp)
-target_link_libraries(vlbi_server_indi openvlbi openvlbi_server indiclient ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})
+add_executable(vlbi_server_indi ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_indi.cpp)
+target_link_libraries(vlbi_server_indi openvlbi_server openvlbi indiclient stdc++fs ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})
 install(TARGETS vlbi_server_indi RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
 endif(INDI_LIBRARIES AND INDICLIENT_LIBRARIES)
 endif(WITH_INDI_SERVER)
 
 if(WITH_DUMMY_SERVER)
-add_executable(vlbi_server_dummy ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_dummy.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/instancecollection.cpp)
-target_link_libraries(vlbi_server_dummy openvlbi openvlbi_server ${M_LIB} ${ZLIB_LIBRARY})
+add_executable(vlbi_server_dummy ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_dummy.cpp)
+target_link_libraries(vlbi_server_dummy openvlbi_server openvlbi ${M_LIB} ${ZLIB_LIBRARY})
 install(TARGETS vlbi_server_dummy RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
 endif(WITH_DUMMY_SERVER)
 endif(WITH_VLBI_SERVER)
-endif(NOT WIN32)

=== debian/changelog ===
openvlbi (3.0.2-3) unstable; urgency=medium

  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 09 Sep 2024 19:14:12 +0200

openvlbi (3.0.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063108

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 13:03:25 +0000

openvlbi (3.0.2-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 17 Sep 2023 10:14:12 +0200

openvlbi (3.0.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: new soname for libraries
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: remove Break: and Replace: with very old version
  * debian/copyright: due do mjs.* upstream made things easier and
                      changed the vlbi license to GPL-2

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Sep 2023 23:14:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
 	, cmake
  	, cmake-data
 	, libindi-dev (>= 1.8.8)
@@ -14,13 +14,16 @@
 	, libpng-dev
 	, libjpeg-dev
  	, doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://iliaplatone.github.io/OpenVLBI/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/openvlbi
 Vcs-Git: https://salsa.debian.org/debian-astro-team/openvlbi.git
 
-Package: libopenvlbi1
+Package: libopenvlbi3t64
+Provides: ${t64:Provides}
+Replaces: libopenvlbi3
+Breaks: libopenvlbi3 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -43,10 +46,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-	, libopenvlbi1 (= ${binary:Version})
+	, libopenvlbi3t64 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libopenvlbi1-dev (<< 1.23)
-Breaks: libopenvlbi1-dev (<< 1.23)
 Description: OpenVLBI Correlator library - development files
  OpenVLBI is an open source library for astronomical interferometers.
  with OpenVLBI astronomers can join together more telescopes to observe
@@ -75,7 +76,7 @@
 Package: openvlbi-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-	, libopenvlbi1 (= ${binary:Version})
+	, libopenvlbi3t64 (= ${binary:Version})
 Description: OpenVLBI Correlator library - client applications
  OpenVLBI is an open source library for astronomical interferometers.
  with OpenVLBI astronomers can join together more telescopes to observe
@@ -88,14 +89,15 @@
  .
  This package contains the client application.
 
-Package: libopendsp1
+Package: libopendsp3t64
+Provides: ${t64:Provides}
+Replaces: libopendsp3
+Breaks: libopendsp3 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libopenvlbi1 (<< 1.23)
-Breaks: libopenvlbi1 (<< 1.23)
 Description: OpenDSP signal processing library
  OpenDSP is an open source signal processing library.
  It contains methods and routines for signal processing
@@ -106,11 +108,9 @@
 Package: libopendsp-dev
 Section: libdevel
 Architecture: any
-Depends: libopendsp1 (= ${binary:Version})
+Depends: libopendsp3t64 (= ${binary:Version})
 	, ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libopenvlbi1-dev (<< 1.23)
-Breaks: libopenvlbi1-dev (<< 1.23)
 Description: OpenDSP signal processing library - development files
  OpenDSP is an open source signal processing library.
  It contains methods and routines for signal processing
@@ -124,8 +124,6 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libopenvlbi1 (<< 1.23)
-Breaks: libopenvlbi1 (<< 1.23)
 Description: OpenVLBI correlator - data
  OpenVLBI is an open source correlator for astronomical interferometers.
  with OpenVLBI astronomers can join together more telescopes to observe
@@ -138,9 +136,9 @@
 Architecture: all
 Depends: openvlbi-bin (>= ${source:Version})
 	, openvlbi-data (>= ${source:Version})
-	, libopendsp1 (>= ${source:Version})
+	, libopendsp3t64 (>= ${source:Version})
 	, libopendsp-dev (>= ${source:Version})
-	, libopenvlbi1 (>= ${source:Version})
+	, libopenvlbi3t64 (>= ${source:Version})
 	, libopenvlbi-dev (>= ${source:Version})
 	, ${shlibs:Depends}, ${misc:Depends}
 Description: correlator for OpenVLBI

## openvlbi 3.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8...3.8)

PROJECT(OpenVLBI C CXX)
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")

include(GNUInstallDirs)
include(ExternalProject)

find_package(CFITSIO REQUIRED)
find_package(PNG REQUIRED)
find_package(JPEG REQUIRED)
find_package(FFTW3 REQUIRED)
find_package(Threads REQUIRED)
find_package( OpenCV REQUIRED )
option(CMAKE_BUILD_RPATH_USE_ORIGIN "rpath issue fix" ON)
option(WITH_DATA "Add OpenVLBI data" On)
option(WITH_DOCS "Add OpenVLBI documentation" On)
option(WITH_DSP "Add OpenDSP libraries" On)
option(WITH_VLBI "Add OpenVLBI libraries" On)
option(WITH_VLBI_SERVER "Add OpenVLBI servers" On)
option(WITH_INDI_SERVER "Add INDI server for OpenVLBI" On)
option(WITH_DUMMY_SERVER "Add dummy server for OpenVLBI" On)
option(WITH_JSON_SERVER "Add JSON server for OpenVLBI" On)
option(WITH_SHARED_SERVER "Add shared server libraries for OpenVLBI" On)
set (CMAKE_CXX_STANDARD 11)
set (CMAKE_C_STANDARD 11)
set (VLBI_VERSION_MAJOR 3)
set (VLBI_VERSION_MINOR 0)
set (VLBI_VERSION_RELEASE 3)
set (VLBI_VERSION_STRING "${VLBI_VERSION_MAJOR}.${VLBI_VERSION_MINOR}.${VLBI_VERSION_RELEASE}")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set(VLBI_CATALOG_PATH "${DATA_INSTALL_DIR}/OpenVLBI/cat/index.txt")

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/README.md" README )
string(REPLACE "[![CircleCi](https://circleci.com/gh/iliaplatone/OpenVLBI/tree/master.svg?style=shield)](https://circleci.com/gh/iliaplatone/OpenVLBI/?branch=master)" "" README "${README}")
string(REPLACE "[![Linux](https://github.com/iliaplatone/OpenVLBI/actions/workflows/default.yml/badge.svg)](https://github.com/iliaplatone/OpenVLBI/actions/workflows/default.yml)" "" README "${README}")
string(REGEX REPLACE "\n\# \([a-z:A-Z:0-9]*\)" "\n\n\\\\page page_\\1 \\1" README "${README}" )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/dsp/dsp.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/dsp.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/vlbi/vlbi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/vlbi.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile )

include_directories( ${CFITSIO_INCLUDE_DIR})
include_directories( ${OpenCV_INCLUDE_DIRS} )
include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/vlbi)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/dsp)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})

include(CMakeCommon)

############# VLBI ###############
set(vlbi_CXX_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/collection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/nodecollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/baselinecollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/modelcollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/node.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/feature.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/baseline.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/stream.cpp
    )

set(vlbi_C_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/file.c
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/time.c
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/base64.c
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/matrix.c
    ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/astro.c
    )

SET(dsp_C_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/align.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/convert.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/fft.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/file.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/filters.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/stats.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/buffer.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/convolution.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/signals.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/stream.c
    ${CMAKE_CURRENT_SOURCE_DIR}/dsp/fits.c
    )

if(WITH_DOCS)
execute_process (COMMAND doxygen ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html DESTINATION ${DATA_INSTALL_DIR}/doc/libopenvlbi-dev)
endif(WITH_DOCS)
if(WITH_DSP)
add_library(opendsp SHARED ${dsp_C_SRC})
set_target_properties(opendsp PROPERTIES VERSION ${VLBI_VERSION_STRING} SOVERSION ${VLBI_VERSION_MAJOR})
target_link_libraries(opendsp ${FFTW3_LIBRARIES} ${M_LIB} ${CFITSIO_LIBRARIES} ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dsp.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dsp/fits_extensions.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dsp/fits.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dsp/sdfits.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dsp/fitsidi.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/FindDSP.cmake DESTINATION ${DATA_INSTALL_DIR}/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules)
install(TARGETS opendsp LIBRARY DESTINATION ${LIB_INSTALL_DIR})
endif(WITH_DSP)
if(WITH_VLBI)
add_library(openvlbi SHARED ${vlbi_C_SRCS} ${vlbi_CXX_SRCS})
set_target_properties(openvlbi PROPERTIES VERSION ${VLBI_VERSION_STRING} SOVERSION ${VLBI_VERSION_MAJOR})
target_link_libraries(openvlbi opendsp ${M_LIB} ${OpenCV_LIBRARIES} ${CFITSIO_LIBRARIES} ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/vlbi.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/FindVLBI.cmake DESTINATION ${DATA_INSTALL_DIR}/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules)
install(TARGETS openvlbi LIBRARY DESTINATION ${LIB_INSTALL_DIR})
endif(WITH_VLBI)

if(WITH_DATA)
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/cat DESTINATION ${DATA_INSTALL_DIR}/OpenVLBI)
endif(WITH_DATA)

if(WITH_VLBI_SERVER)
add_library(openvlbi_server STATIC ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/instancecollection.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/collection.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/base64.c)
target_link_libraries(openvlbi_server ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY} openvlbi opendsp)
install(TARGETS openvlbi_server ARCHIVE DESTINATION ${LIB_INSTALL_DIR})

if(WITH_JSON_SERVER)
add_executable(vlbi_server_json ${CMAKE_CURRENT_SOURCE_DIR}/mjs.h ${CMAKE_CURRENT_SOURCE_DIR}/mjs.c ${CMAKE_CURRENT_SOURCE_DIR}/json.h ${CMAKE_CURRENT_SOURCE_DIR}/json.c ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_json.cpp)
target_link_libraries(vlbi_server_json openvlbi ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY} ${CMAKE_DL_LIBS})
target_link_libraries(vlbi_server_json openvlbi_server)
install(TARGETS vlbi_server_json RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif(WITH_JSON_SERVER)

if(WITH_INDI_SERVER)
find_package(INDI 1.8.8)
if(INDI_LIBRARIES AND INDICLIENT_LIBRARIES)
find_package(Nova REQUIRED)
include_directories( ${INDI_INCLUDE_DIR})
add_executable(vlbi_server_indi ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_indi.cpp)
target_link_libraries(vlbi_server_indi openvlbi indiclient stdc++fs ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})
target_link_libraries(vlbi_server_indi openvlbi_server)
install(TARGETS vlbi_server_indi RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif(INDI_LIBRARIES AND INDICLIENT_LIBRARIES)
endif(WITH_INDI_SERVER)

if(WITH_DUMMY_SERVER)
add_executable(vlbi_server_dummy ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_dummy.cpp)
target_link_libraries(vlbi_server_dummy openvlbi ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})
target_link_libraries(vlbi_server_dummy openvlbi_server)
install(TARGETS vlbi_server_dummy RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif(WITH_DUMMY_SERVER)

if(WITH_SHARED_SERVER)
add_library(vlbi_server SHARED ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server_shared.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/instancecollection.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/collection.cpp ${CMAKE_CURRENT_SOURCE_DIR}/vlbi/base64.c)
target_link_libraries(vlbi_server openvlbi opendsp ${CFITSIO_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})
set_target_properties(vlbi_server PROPERTIES VERSION ${VLBI_VERSION_STRING} SOVERSION ${VLBI_VERSION_MAJOR})
install(TARGETS vlbi_server LIBRARY DESTINATION ${LIB_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/vlbi_server.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenVLBI)
endif(WITH_SHARED_SERVER)
endif(WITH_VLBI_SERVER)

=== debian/changelog ===
openvlbi (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: add Multi-Arch: foreign for libopenvlbi-doc
  * debian/control: add Multi-Arch: same for libopendsp-dev
  * debian/control: add dependency libopencv-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 17 Aug 2025 19:42:34 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
 	, libpng-dev
 	, libjpeg-dev
  	, doxygen
-Standards-Version: 4.7.0
+        , libopencv-dev
+Standards-Version: 4.7.2
 Homepage: https://iliaplatone.github.io/OpenVLBI/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/openvlbi
@@ -65,6 +66,7 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: foreign
 Description: OpenVLBI Correlator - documentation
  OpenVLBI is an open source correlator for astronomical interferometers.
  with OpenVLBI astronomers can join together more telescopes to observe
@@ -108,6 +110,7 @@
 Package: libopendsp-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libopendsp3t64 (= ${binary:Version})
 	, ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	find
	dh_auto_install

=== debian/watch ===
version=4
#opts="mode=git, pgpmode=none" \
#  https://github.com/iliaplatone/OpenVLBI \
#  HEAD debian uupdate

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openvlbi-$1\.tar\.gz/ \
  https://github.com/iliaplatone/openvlbi/tags .*/v?(\d\S+)\.tar\.gz \
	debian uupdate
